net.sf.jasperreports.engine.export.tabulator

## Class DimensionEntry

- java.lang.Object
- - net.sf.jasperreports.engine.export.tabulator.DimensionEntry

- All Implemented Interfaces:
    java.lang.Comparable<DimensionEntry>
  Direct Known Subclasses:
    Column, Row

      public abstract class DimensionEntry
      extends java.lang.Object
      implements java.lang.Comparable<DimensionEntry>

  Version:
    $Id: DimensionEntry.java 6892 2014-02-12 16:52:44Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `endCoord`
    `protected static int` | `MINUS_INF`
    `protected static int` | `PLUS_INF`
    `protected int` | `startCoord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DimensionEntry(int startCoord)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(DimensionEntry o)`
    `int` | `getEndCoord()`
    `int` | `getExtent()`
    `int` | `getStartCoord()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MINUS_INF

          protected static final int MINUS_INF

      See Also:
        Constant Field Values

    - #### PLUS_INF

          protected static final int PLUS_INF

      See Also:
        Constant Field Values

    - #### startCoord

          protected int startCoord

    - #### endCoord

          protected int endCoord

  - ### Constructor Detail

    - #### DimensionEntry

          public DimensionEntry(int startCoord)

  - ### Method Detail

    - #### getStartCoord

          public int getStartCoord()

    - #### getEndCoord

          public int getEndCoord()

    - #### getExtent

          public int getExtent()

    - #### compareTo

          public int compareTo(DimensionEntry o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<DimensionEntry>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com